/*	$NetBSD$	*/

/*-
 * Copyright 2009 Brett Lymn <blymn@NetBSD.org>
 *
 * All rights reserved.
 *
 * This code has been donated to The NetBSD Foundation by the Author.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. The name of the author may not be used to endorse or promote products
 *    derived from this software withough specific prior written permission
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *
 */

#include <stdlib.h>
#include "slave.h"
#include "test_commands.h"

void ok_cmd(int nargs, char **args)
{
	report_status("OK");
}

void err_cmd(int nargs, char **args)
{
	report_status("ERR");
}

void one_cmd(int nargs, char **args)
{
	report_status("1");
}

void null_cmd(int nargs, char **args)
{
	report_status("NULL");
}

void nonnull_cmd(int nargs, char **args)
{
	report_status("NON_NULL");
}

void string_cmd(int nargs, char **args)
{
	report_status("Hello World");
}

void repeat_cmd(int nargs, char **args)
{
	report_status(args[0]);
}

void second_cmd(int nargs, char **args)
{
	report_status(args[1]);
}

void return2_cmd(int nargs, char **args)
{
	report_status(args[0]);
	report_status(args[1]);
}

void return4_cmd(int nargs, char **args)
{
	report_status(args[0]);
	report_status(args[1]);
	report_status(args[2]);
	report_status(args[3]);
}

void die_cmd(int nargs, char **args)
{
	exit(2);
}
